package testPrograms;


import java.io.*;
import java.util.*;


public class testFileIO {

  static public double[] parseLine(String line) throws NumberFormatException {

    //instantiate the String tokenizer
    StringTokenizer tokenizer = new StringTokenizer(line);
    int size = tokenizer.countTokens();
    double result[] = new double[size];
    int counter = 0;
    while (tokenizer.hasMoreTokens()) {
      String token = tokenizer.nextToken();
      result[counter] = Double.valueOf(token).doubleValue();
      counter++;
    }
    return(result);

  }//end of parseLine
      
  static public void main(String argv[]) {

    String inputFileName=null;
    String outputFileName="blahblah";
    switch (argv.length) {
    case 1:
      inputFileName=argv[0];
      break;
    case 2:
      inputFileName=argv[0];
      outputFileName=argv[1];
      break;
    default:
      System.out.println("Wrong number of arguments provide");
    }


    FileInputStream fiStream=null;
    InputStreamReader isReader=null;
    BufferedReader bReader=null;
    FileOutputStream foStream=null;
    PrintWriter pWriter=null;
    try {
      fiStream = new FileInputStream(inputFileName);
      isReader = new InputStreamReader(fiStream);
      bReader = new BufferedReader(isReader);
      foStream = new FileOutputStream(outputFileName);
      pWriter = new PrintWriter(foStream);
      
 
      String line;

      while ( (line = bReader.readLine()) != null) {
	System.out.println(line);
	try {
	  double result[] = parseLine(line);
	  for (int i=0; i < result.length; i++) {
	    pWriter.print(result[i]);
	    pWriter.print(" ");
	  }

	  pWriter.println();
	}
	catch (NumberFormatException e) {
	  pWriter.println("Error in that Line");
	}
      
      }

      pWriter.close();
      foStream.close();

    }
    catch (FileNotFoundException e) {
      System.err.println("Input file was not found "+e.getMessage());
    }
    catch (IOException e) {
      System.err.println("IOException occured "+e.getMessage());
    }

    finally {
      try {
	if (fiStream != null)
	  fiStream.close();
      }
      catch (IOException e) {
	System.err.println("Error while closing the file "+e.getMessage());
      }

    }

  }//end of main

}//end of testFileIO
      
      
      
    
